SUMMARY = "Vesta v1 firmware"
DESCRIPTION = "Vesta firmware such as for the wifi and bluetooth"
SECTION = "base"
LICENSE = "Proprietary"
LIC_FILES_CHKSUM = "file://git/firmware/ath6k/LICENSE.qca_firmware;md5=2a397c0e988f4c52d3d526133b617c8d"

PACKAGE_ARCH = "${MACHINE_ARCH}"

#Qualcomm 6234 firmware git
SRCBRANCH ?= "master"

SRC_URI = "git://git@git.rigado.com/mondoud/vesta-firmware.git;protocol=ssh;branch=${SRCBRANCH};destsuffix=${S}/git "


do_install() {
	install -d ${D}${base_libdir}/firmware/ath6k/AR6004/hw3.0
    install -m 755 git/firmware/ath6k/AR6004/hw3.0/bdata.bin ${D}${base_libdir}/firmware/ath6k/AR6004/hw3.0
    install -m 755 git/firmware/ath6k/AR6004/hw3.0/fw-5.bin ${D}${base_libdir}/firmware/ath6k/AR6004/hw3.0
    install -m 755 git/firmware/ath6k/AR6004/hw3.0/utf.bin ${D}${base_libdir}/firmware/ath6k/AR6004/hw3.0

	install -d ${D}${base_libdir}/firmware/ar3k/1020201
    install -m 755 git/firmware/ar3k/1020201/PS_ASIC.pst ${D}${base_libdir}/firmware/ar3k/1020201
    install -m 755 git/firmware/ar3k/1020201/RamPatch.txt ${D}${base_libdir}/firmware/ar3k/1020201
}

FILES_${PN} += " \
	${base_libdir}/firmware/ath6k/AR6004/hw3.0/bdata.bin \
	${base_libdir}/firmware/ath6k/AR6004/hw3.0/fw-5.bin \
	${base_libdir}/firmware/ath6k/AR6004/hw3.0/utf.bin \
	${base_libdir}/firmware/ar3k/1020201/PS_ASIC.pst \
	${base_libdir}/firmware/ar3k/1020201/RamPatch.txt \
"
