# Copyright (C) 2012-2016 O.S. Systems Software LTDA.
# Released under the MIT license (see COPYING.MIT for the terms)


SUMMARY = "U-boot recipe for Rigado Vesta board"

require recipes-bsp/u-boot/u-boot.inc

LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://Licenses/README;md5=c7383a594871c03da76b3707929d2919"

PV = "v2015.04+git${SRCPV}"

PROVIDES += "u-boot"

SRCBRANCH = "master"

#Always update SRCREV based on your last commit
SRCREV = "301aee6db4faa952f7450e2ed542797386bade80"

SRC_URI = "git://git@git.rigado.com/Bronzebox/u-boot-2015.04.git;protocol=ssh;branch=${SRCBRANCH}"

S = "${WORKDIR}/git"

PACKAGE_ARCH = "${MACHINE_ARCH}"

COMPATIBLE_MACHINE = "(imx6ul-vesta-v1|imx6ul-vesta-v2)"

